Drop Privilege Group (V2)
This operation drops a privilege group.
POST/v2/vectordb/privilege_groups/drop
https://${CLUSTER_ENDPOINT}
📘ノート
${CLUSTER_ENDPOINT}を、あなたのZilliz Cloudクラスターのエンドポイントに置き換える必要があります。- エンドポイントを取得するには、Describe Cluster V2 APIを使用してレスポンスから値を抽出してください。
shell
export CLUSTER_ENDPOINT=""
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つAPIキー、またはコロンで連結されたユーザー名とパスワードのペア(username:passwordなど)である必要があります。プロジェクトエンドポイントを使用している場合は、十分な権限を持つ有効なAPIキーのみが適用されます。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
privilegeGroupNamestring必要
削除する privilege group の名前。
bash
export TOKEN="db_admin:xxxxxxxxxxxxx"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/privilege_groups/drop" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"privilegeGroupName": "my_priv_group"
}'
レスポンス200 OK - application/json
なし
codeinteger
レスポンスコード。
dataobject
エラーメッセージを返します。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。
Successjson
{
"code": 0,
"data": {}
}